petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscURLShorten

Uses Google's service to get a short url for a long url

### Synopsis

    PetscErrorCode PetscURLShorten(const char url[],char shorturl[],size_t lenshorturl)

### Input Parameters

| url | - long URL you want shortened
| lenshorturl | - length of buffer to contain short URL

### Output Parameter

shorturl -the shortened URL

### See Also

PetscGoogleDriveRefresh(), PetscGoogleDriveUpload(), PetscGoogleDriveAuthorize()

### Level

intermediate

### Location

src/sys/webclient/google.c

### Examples

src/sys/webclient/examples/tutorials/urlshorten.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages